package w83b.w83bManager;

import java.rmi.RemoteException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

import w83b.w83bBeans.W83bDocBeanImpug;
import w83b.w83bBeans.W83bImpugnacionBean;

public interface W83bIImpugnaciones {
	public String calcularNumImpugnacion(W83bImpugnacionBean param)throws Exception;
		
	public java.util.List buscarImpugnaciones(w83b.w83bBeans.W83bImpugnacionBean param) throws Exception;
	
	public java.lang.Integer contarImpugnaciones(w83b.w83bBeans.W83bImpugnacionBean param) throws Exception;
	public java.util.List cargarCentroTrabajoPreaviso(HashMap mapaResultado) throws Exception;

	public java.util.List cargarCentroTrabajoActa(HashMap mapaResultado) throws Exception;
	
	public W83bImpugnacionBean anyadirImpugnaciones(W83bImpugnacionBean param) throws Exception;
	
	public void insertarDocsImpugnaciones(W83bImpugnacionBean param) throws Exception;
	
	public void anyadirSindicatos(W83bImpugnacionBean param) throws Exception;
	public void anyadirEmpresaImpugnante(W83bImpugnacionBean param) throws Exception;
	public void anyadirTramite(W83bImpugnacionBean param,int fase, int tramite,String fechaRegistro)  throws Exception;
	
	public void anyadirVoces(W83bImpugnacionBean param) throws Exception;
	public void anyadirLaudo(W83bImpugnacionBean param) throws Exception;
	
	public W83bDocBeanImpug descargarDocumento(String param) throws Exception;

	public java.util.List cargaTiposDocumento(HashMap param) throws Exception;
	public String adjuntarArchivoImpugnaciones(HashMap param) throws Exception;
	public W83bImpugnacionBean obtenerDetallesImpugnacion(HashMap param) throws Exception;

	public boolean existeImpugnacion(W83bImpugnacionBean param)throws Exception;
	
	public java.lang.String edicionImpugnaciones (w83b.w83bBeans.W83bImpugnacionBean  param) throws Exception;
	public java.lang.String edicionDocumentosImpugnaciones (w83b.w83bBeans.W83bImpugnacionBean  param) throws Exception;
	public java.lang.String actualizarVocesLaudo (w83b.w83bBeans.W83bImpugnacionBean  param) throws Exception;
	
	public String borrarImpugnaciones(List param) throws Exception;
	
	public String existeImpug(HashMap mapaResultado) throws Exception;
	
   /**
    * Actualiza la información de acuse de recibo de comunicaciones de impugnación resuelta
    * @param listaComunicacionesAcuse List
    * @throws Exception the exception
    * @throws RemoteException the remote exception
    */
	public void  actualizarDatosAcusesComunicacionImpugResueltas(ArrayList listaComunicacionesAcuse) throws Exception;
	
	/**	
    * Actualiza la información de acuse de recibo de comunicaciones de laudos resueltos
    * @param listaComunicacionesAcuse List
    * @throws Exception the exception
    * @throws RemoteException the remote exception
    */
	public void  actualizarDatosAcusesComunicacionLaudosResueltos(ArrayList listaComunicacionesAcuse) throws Exception;
}
